## RiskyMod

A full-game overhaul that aims to bring it closer to RoR1's balance. My main priority is multiplayer, but the mod is balanced in solo as well.
The dream is a universal ruleset that anyone can host, similar to 1's.

I highly recommed installing https://thunderstore.io/package/Moffein/EliteReworks/ to go with this.

Full change list can be found here. https://docs.google.com/document/d/1Igxdur0M33fdkcDLYgDEbLE0M4-89gSTorxgdn-oyKs/

This mod merges in fixes and tweaks from a bunch of other mods. If you have those mods installed, these fixes/changes will disable and the original mod will take priority (Except for Bandit Grace Period).

Feel free to take features of this mod and release them as standalone as long as you link the original GitHub repo in the README.

## Main Features

- Removed proc chains.
- Made difficulty scaling linear (exponential jump on-loop) and increased spawnrates.
- Oneshot Protection now works as you would expect.
	- Oneshot = Going from >90% HP to 0% HP in under 0.5s
	- Once triggered, you have to be out of danger (no damage for 7s) before it can be retriggered.
- Shields gate against HP damage like the Guardian's Heart in RoR1.
	- Transcendence/Perfected Affix disable Oneshot Protection due to having shieldgating built-in.
- Big balance pass over nearly all the items.
	- Bad items like Squid Polyps and Warbanners have gotten substantial buffs.
	- Strong damage items like AtGs and Elemental Bands now have lowered damage.
	- Most forms of range scaling have been removed.
- Drones performance now remains the same on all stages. (WiP)

## Other Changes

- Combat Shrines give less money, but drop items for the team on completion.
- Teleporter radius expands once the boss is dead.
- Tweaked Commencement
	- Only 2 pillars are required to activate the jump pads.
	- Pillars drop items for the team on completion, and you can complete as many as you want.

## Installation
Place RiskyMod.dll **AND** the **language folder** in /Risk of Rain 2/BepInEx/plugins/RiskyMod

## Planned Changes (Not implemented yet)

- Items
	- Buff/Change/Rework Corpsebloom
	- Buff/Change Desk Plant
	- Rework Elixir/Watch.
		- Watch turns into an always-on damage boost lategame.
		- Broken items feel bad.
- Survivors
	- Captain
		- Rework all beacons to be deployables on a 30s cooldown.
			- Let Lysate Cell increase active beacon count by 1 like Engi's Turrets.
			- Add Admiral's fans as a selectable beacon.
		- Does anything need to be done about microbots?
			- Fix red scrap farming bug with DropInMultiplayer.
	- Artificer
		- Shift rework.
		- Elemental interactions?
	- Acrid
		- Investigate balance of default passive vs alt passive.
	- Bandit
		- Investigate secondaries. Noticed Hemmorhage stacking not doing much past the first loop.
		- Rework Desperado so that it's a meaningful playstyle change that's mechanically different to use from the default Revolver passive.
			- Ricocheting bullets?
	- Void Fiend
		- 100% Corruption Special
			- Crush health to crush your enemies.
- Enemies
	- Rework certain enemies.
		- Mushrums
			- Shift focus from damage to AOE.
			- Add more audio cues?
		- Lunar Wisps
			- Change to be projectile-based?
		- Alpha Constructs
			- Make them only spawn on Sulfur Pools and Distant Roost while looping since they're an AFK enemy that doesn't do much.
		- Blind Pest
			- Add a windup animation/VFX/SFX before they attack.
	- Enemy Pools
		- Imps/Lunar Golems on Sky Meadow?
		- Vultures/Grovetender on Stadia Jungle.
		- Greater Wisps on less maps.
		- Alpha Constructs on less maps.
		- Reduce instances of role overlap on the same map.
			- Blind Pest + Wisp
			- Bronzong + Greater Wisp
	
## Credits

Drone Targeting fix - ZetTweaks

Squid Polyp distraction - DestroyedClone

Language Support - Anreol

Skill Icons - KoobyKarasu

Acrid Hitbox Tweaks - TheTimesweeper

Buff Icons - SOM

## Changelog

`0.6.3`
- Run Scaling
	- Fixed Simlacrum scaling changes being enabled. These were experimental settings from an early test and were supposed to be disabled.
- Shield Gating
	- Seems like the grace period never actually got disabled in the first place. I'll be leaving it like this, since after giving it some thought, simply making shields susceptible to the pedantic "actually it was 2 hits" phenomenon is against the spirit of the mod.
- Items
	- Crowbar
		
		*Clarifying the previous patchnotes. It only triggers on the first 400%+ damage hit against an enemy.*
		
	- AtG
		- Now uses Orbs for weak attacks and Projectiles for heavy attacks (400% is the threshold to be considered a heavy attack).
			- Added a config options for making it only shoot orbs.
	
		*OrbAttack behavior ended up penalizing slow heavy hitters due to missiles being unable to change target after the target dies. Hoping this will serve as a good halfway point.*
		
	- 57 Leaf Clover
		- Disabled changes by default. Renamed to 'Luck Cap' and moved to the Character Mechanics section of the config.
		- Increased boost to +20%.
		
		*This only ends up actually being a problem in heavily modded setups that make it easy to stack Clovers. Was focusing too much on those when adding this.*

`0.6.2`

*Updated Acrid/Commando so that their secondaries don't require re-pressing to use like how they worked pre-DLC update. Let me know if there are any other skills that should receive this treatment!*

- Split up the Tweaks section of the config into more categories to improve readability.
	- Most of the Tweaks settings will be reset due to this.
	- Void Infestor - No Void Allies option has been moved to the Enemies section of the config.
	
- RiskyMod Bugfixes
	- Fixed ally Void Fog immunity not being enabled.
	- Added missing config options for Titanic Knurl and Brainstalks. (Thanks Gaforb!)
	- Fixed Lepton Daisy radius visual size not being synced online (?)
	- Fixed Infusion HP bonus calculation only updating for every 100HP gained.
	- Fixed Gasoline description showing range scaling.
	- Fixed allied Void Infestors being able to softlock the game by possessing the teleporter boss.
	
- Vanilla Fixes
	- Fixed Ghost Dunestriders being able to teamkill players.
	- Fixed Pluripotent Larva ignoring item blacklists.
	
- Run Scaling
	- Increased per-loop exponential factor from 1.15 -> 1.18 (What it used to be pre-DLC)
	- Loop Boss Armor
		- Removed adaptive armor.
		- Bosses now gain +20 armor per loop.
		
	*Adaptive armor ended up penalizing rapid-hit characters/builds too much due to adding armor on each hit, so it's being replaced with a flat armor increase. Current number is based on the base amount of armor that bosses get. Testing will be needed to determine what number this should be set to.*

- Shieldgating
	- Removed grace period to make it consistent with Safer Spaces.
		- Grace period remains if you use Transcendence.
	
	*Noticed that players are feeling a lot more tanky currently compared to pre-DLC RiskyMod, so this is just a small tweak intended to tone down survability a bit. While this makes players susceptible to multihits, Oneshot Protection should still protect against cheap kills from that. Shield gating will remain in the mod since it allows for `On Damage Taken` items to be triggered safely and reliably.*
	
- Allies
	- Col. Droneman now benefits from ally changes.
	- TC280, Gunner Drones, Gunner Turrets, and Backup Drones no longer have damage falloff.
	- Normalized drone damage stats
		- Affected Drones:
			- Gunner Drone
				- Base health 150 -> 170
				- Base damage 10 -> 12
				- Damage Coefficient 0.5 -> 0.42
			- Healing Drone
				- Base health 150 -> 170
				- Base damage 10 -> 12
				- Heal Coefficient 2 -> 1.7
			- Emergency Drone
				- Base damage 10 -> 12
				- Heal Coefficient 2 -> 1.7
			- Gunner Turret
				- Base damage 18 -> 12
				- Damage Coefficient 0.3 -> 0.45
			- Missile Drone
				- Base damage 14 -> 12
				- Damage Coefficient 1 -> 1.17
			- Flame Drone
				- Base damage 10 -> 12
				- Damage Coefficient remains the same (technically a buff)
			- Equipment Drone
				- Base damage 10 -> 12
				- Damage Coefficient remains the same (technically a buff)
			- TC280
				- Base damage 14 -> 12	(Does not include the -20% damage reduction from earlier builds)
				- Damage Coefficient  2.2 -> 2.1 (Includes the -20% damage reduction)
			- Empathy Cores
				- Base damage 15 -> 12 (This is the exact same as the previous build)
			- Backup Drone
				- Base damage 7 -> 8.5
				- Damage Coefficient 0.5 -> 0.42 (shared with Gunner Drone)
		- Col. Droneman receives no changes since it has 12 base damage by default.
		
	- Spare Drone Parts	(Listed under the Allies section of the config)
		- Chaingun damage reduced from 100% -> 50%
			- With damage normalization, this makes it do 6 damage
		- Fixed missile damage being based on base damage instead of on-hit damage.
		
		*Spare Drone Parts allows drones to solo the game, but its effect per-drone varied greatly since its damage is based on the Drone's base damage. Normalized damage will make it give the same benefit for every drone. Need to do more testing to find an appropriate number for it. Feedback would be useful here.*
		
	- Gunner Turrets/Squid Turrets
		- Removed Armor/Level
		- Damage taken is now multiplied by the damage's proc coefficient (minimum 0.1).
		
		*Trying out an alternate way of boosting their survivability. Since Mushrum gas and other stationary AOE attacks tend to have lower proc coefficients, this should give them a natural resistance to them.*
		
	- Removed shields from all drones except the TC280 and Gunner Turrets.
	- Reduced HP/level from 30% -> 20%
	
		*Drones are intended to perform the same on all stages, but their HP scaling outscaled enemy damage scaling (higher elite spawnrates lategame seem to somewhat counteract this). Did some test runs with this, and it seems that this change had less of an impact than I expected, with the only noticeable change being that Squid Turrets seemed to die faster to Mithrix.*
		
	- Vagrant Resistance changed to a general resistance to all attacks that deal IgnoreShieldGate damage.
		
		*Mod has changed internally to always set up the IgnoreShieldGate damagetype even if ShieldGating is disabled in the config. This should have no effect on gameplay, but let me know if it causes any bugs if you're playing with ShieldGating disabled.*

- Moon
	- Moon Pillars and Shrines of Combat now only drop 1 item if ShareSuite has item sharing enabled for the item tier.
	- Added drop chance config for Moon Pillars.
- AI Blacklist
	- Added Shipping Request Form
	- Added Regenerating Scrap
	- Added Shuriken
	- Added Empathy Cores
	
	*Would add Beetle Gland, but need to see if that affects the Lunar Scavenger that uses them since I don't want to change that.*
	
- Voidtouched (Copied from EliteReworks)
	- Now has a +50% damage bonus to match EliteReworks/Honor elites.
	- Nullify
		- Proc chance now scales off of proc coefficient
		- Duration changed from 8 x proc coefficient -> 8 x sqrt(proc coefficient)
		
	*Voidtouched Templars could stunlock you in a fraction of a second with no way to fight back due to guaranteed procs.*
	
- Items
	- Crowbar
		- Now only activates on hits that deal over 400% damage.
		
		*This was part of the original rework but got shelved for the sake of testing out how it played. Current crowbar behavior has antisynergy with attacks like Nanobomb and Phase Round which shoot out lightning before the main hit. This change should fix that.*
		
	- Berzerker's Pauldron
		- Fixed Attack Speed bonus being higher than intended (reduced Attack Speed bonus from 20% -> 15%)
		- Duration no longer scales with stacks.
		- Duration reduced from 5s -> 4s
		- Now capped at 3 (+2) buffs.
		
		*This item felt too strong for a Green, as unlimited buff stacking caused things to snowball too fast. Current number is similar on how other Greens perform (up to +45% attack speed conditionally, +30% per stack), but I'll need to see if adjustments need to be made.*
		
	- Harvester's Scythe
		- Crit chane reduced from 100% -> 10% per stack
		- Total healing (level-scaled) increased from 12 -> 20
		- Duration increased from 2.4s (+1.2s) -> 4s
			- Duration no longer scales with stacks.
		- Now capped at 3 (+2) buffs.
		
		*Thinking along the lines of Hunter's Sigil, which is a Green item conditionally gives a high amount of crit. This is a nerf to the item's damage output, but a buff to the total healing each stack provides. Question remains if the crit chance/healing is effective enough to warrant taking.*
		
	- Chronobauble
		- Reduced Attack Speed slow from 20% -> 15%
		
	- AtG Missile
		- Now uses an OrbAttack if fired by the Player team. This should reduce lag caused by missile spam.
			- This makes the missile behave like Plasma Shrimp (goes through walls, can't change target mid-flight)
		
	- 57 Leaf Clover
		- Luck maxes out at +1.
		- Luck above +1 gets converted into +15% to all stats.
			- +15% damage
			- +15% crit chance
			- +15% health
			- +15% health regen
			- +15 armor
			- +15% movement speed
		
		*Stacking Clovers ends up turning the game into a complete lagfest, and ends up trivializing the game due to making powerful random effects almost guaranteed. Is 15% enough for a Red item?*
	
- Enemies
	- Blind Pest
		- Damage increased from 12 -> 15
		
		*This number matches Wisps. Tweak attack to have a clearer windup in a later update?*
		
	- Mushrum
		- Gas proc coefficient reduced from 0.5 -> 0.2
		
		*More changes planned later. Want to reduce damage, increase AOE.*

- Commando
	- Secondaries
		- Now autofire if you hold down the button, like pre-DLC update.
	- Suppressive Fire
		- No longer cancels itself when holding down the button (prevents you from using all stocks instantly).

- Acrid
	- Secondaries
		- Now autofire if you hold down the button, like pre-DLC update.

- Bandit
	- Burst
		- Damage increased from 5x80% -> 5x90%
	- Hemorrhage
		- Now ignores armor.
			- Can still be boosted by negative armor.
		
		*Ideally, choosing between Desperado/Gunslinger should be a choice between Hemorrhage stacking or Revolver damage, but Hemorrhage doesn't seem to perform well enough when looping to justify it. This change should at least help against Mithrix and bosses.*

`0.6.1`

- Fixed Tougher Times block chance not being updated in the logbook description.
- Fixed Commando's Phase Round description being used on his Primary.

`0.6.0`

*This is a huge update. Let me know if there's any bugs!*

- Voidtouched
	- Replaced Collapse with Nullify (EliteReworks takes precedence if you have it installed)
- Removed Distant Roost credit boost since it's Vanilla now.
- Run Scaling
	- Reduced per-loop exponential scaling from 1.18^x -> 1.15^x
	- Teleporter Bosses and Special Bosses now get Adaptive Armor while looping.
		- Only applies to boss enemies with a red healthbar.
		- Does not apply to Vengeance Doppelgangers.
		
	*Once Loops start, teleporter bosses end up toppling way too fast to do anything. This change only affects teleporter bosses since the idea is that naturally spawned boss enemies shouldn't be a barrier to progression through the stage. Worried that Adaptive Armor might make tele bosses too tanky, needs more testing.*

	- Increased max level to 9999 to match simulacrum
		
		*At a certain point, enemies stop spawning in Vanilla simulacrum. Need to figure out when that point is reached, and find out what to do there.*
	
- Simulacrum Scaling

	*Left untouched for now, need to see how Vanilla scaling fares against RiskyMod balance.*
	
- Void Locus
	- Holdout size increased 33%
	- Removed Void fog.
	
	*Void fog led to team wipes in large lobbies since it is impossible to coordinate everyone to stand inside a tiny circle, and the circles aren't very fun in the first place.*
		
- Player-controlled monsters now get 2.5 (+0.5/level) health regen and +20 armor if they don't already have built-in health regen.

	*This is only relevant if you use mods to play as enemies.*
	
- Oneshot Protection

	*Concerned that Opal + Safer Spaces + Shieldgating + OSP may be too effective at negating damage when combined together. Needs testing.*
	
- Shield Gating
	- Voidling Mega Laser now bypasses Shield Gating.
	
- Added a default AI Blacklist independent of item changes.
	- List contains:
		- Tougher Times
		- Unstable Tesla Coil
		- N'Kuhana's Opinion
		- Defensive Microbots
		- Spare Drone Parts
		- Ben's Raincoat
	- Can be toggled on/off in config.
	
	*Not sure how expansive this list should be. I personally use a much more restrictive blacklist with the standalone AI Blacklist plugin (https://thunderstore.io/package/Moffein/AI_Blacklist/). Might consider looking at certain items and specifically tweaking them for enemies at some point (ex. Bleeds, Medkits).*
	
- Artifacts
	- Enigma
		- Blacklisted Lunar Equipment, Recycler, Tricorn, and Executive Card.
		- Fixed being able to roll blacklisted Equipments.
		
		*For more in-depth options and custom blacklist settings, install the standalone https://thunderstore.io/package/Moffein/EnigmaBlacklist/ which overrides this.*
	
- Drones/Allies
	- Now immune to executes.
	- Now immune to Grandparent Suns.
	- Now immune to Void Fog.
	- Now immune to Void Implosions.
	- TC280
		- Damage increased from 70% -> 80%
		- HP increased from 80% -> 100%
	- Empathy Cores
		- Now affected by drone changes.
		- Damage reduced from 100% -> 80% due to drones/allies getting increased damage/level (20% -> 30%)
	
	*Telegraphed atatcks like Grandparent Suns and Void Implosions can easily be dodged by players, but Drones have no clue how to deal with them, and will simply stand in their radius and die.*

- Items
	- Cautious Slug
		- Increased regen from 3hp/s -> 4hp/s
		
		*This item was good in early builds of the game, but became pretty mediocre after health regen got changed. Hoping to bring back some of that strength.*

	- Tougher Times
		- Increased block chance from 7.5% -> 10%
		
		*Felt that the nerf made stacks a bit too underwhelming, especially when compared to Safer Space's guaranteed blocking. Need to be careful to not powercreep too hard when considering DLC items.*
		
	- Safer Spaces
	
		*10% -> 7% would make it equivalent to Tougher Times, but is it actually needed?*
		
	- Gasoline
		- Removed the modded damage scaling behavior due to Vanilla burn changes.
		
		*Need to get a feel for where it stands now before further adjustment is made.*
		
	- Warbanner
		- Removed bonus healing.
		- Now only triggers at the start of Mithrix's fight.
		- Now triggers when starting a holdout in Simulacrum (every 5 waves).
		
		*Healing was removed due to being overloaded with way too many features.*
		*TODO: Add to Voidling fight.*
		
	- Chronobauble
		- +15% damage vulnerability changed to -20% attack speed.
		
		*Bonus damage made the item good, but it didn't fit with the theming of the item at all. Swapping it to an attack speed debuff since no vanilla items provide this effect. Numbers may need tuning. Plan is to keep it below -30% since LiT's Prison Shackles does that already and is a perfectly viable item with that number.*
		
	- Lepton Daisy
		- Now also creates a 16m healing field that heals for 5% (+2.5%) max HP per second.
			- Only applies to Teleporters.
			- Counts every player's stacks.
		
		*Not sure if this combined with the healing novas is overkill, but at least this should help it be more than Scrapper fodder.*
		
	- Razor Wire
		- Full effect is now reached at -50% HP
		
		*Scaling changes seemed to make this item not effective against most normal hits, while Helfire + Razor Wire remained mostly the same due to the sheer spam it could put out.*
		
	- Rose Buckler
		- No longer multiplies total armor while sprinting.
		- Now gives +10 extra armor per stack while sprinting.
			- This stacks on top of the base passive +10 armor per stack.
		
		*Since Vanilla now has more reliable ways to get armor, the total armor multiplier ended up being excessive.*
		
	- Predatory Instincts
		- Disabled changes since they're Vanilla now.
		
	- Harvester's Scythe
		- Increased healing from 4 (+0.8/level) HP/s -> 5 (+1/level) HP/level
		
	- Red Whip
		- Now unconditionally gives +10% (+10%/stack) base move speed on top of its Vanilla effect.
		
		*Move speed makes a night and day difference between how the game plays, but only a few specific items actually give move speed unconditionally. This small buff should help with that.*
		
	- Hunter's Harpoon
		- Increased duration from 1s (+0.5s) -> 3s (+1.5s)
		- Can now trigger off of assists.
		
		*Vanilla duration is too low to be useful in any capacity.*
		
	- Ukulele
		- Damage per stack increased from +20% -> +24%
		
	- Sentient Meathook
		- Damage per stack increased from +25% -> +30% to match Ukulele's damage scaling.
		
		*Technically this scales way more than Ukulele due to targets+chance per stack, but I think it's fine since it's naturally hard to stack in the first place due to being a Red item.*
		
	- Brilliant Behemoth
		- Damage increased from 60% (+20%/stack) -> 60% (+36%/stack)
		
		*Stacking this item was pretty underwhelming, considering it's a red item and naturally hard to get stacks. New numbers match the stacking values of AtGs/Rings.*
		
	- Bottled Chaos
		- Blacklisted Volcanic Egg.
		
	- Ben's Raincoat
		(Credits to SOM for the buff icons!)
		- Replaced Vanilla Effect
		- Upon receiving a debuff, stun nearby enemies and gain debuff immunity for 3s. Recharges every 15s (-10%/stack, exponential)
			- Recharge starts at the end of the debuff immunity.
			- Minimum recharge cooldown is 1s.
		
		*Vanilla effect invalidates nearly all the Elites in the game. Trying to keep the spirit of countering debuffs without completely removing them from the game. Needs more testing and tweaking.*
		
	- Dormant Fungus
		- Reduced healing from 2% (+2%) -> 2% (+1%) to match Bustling Fungus scaling.
		
	- Plasma Shrimp
		- Reduced damage from 40% (+40%) -> 40% (+24%)
			- Original description says the damage is 40% (+50%), but that is incorrect.
		- Reduced proc coefficient from 0.2 -> 0
		
		*Changes to this item mirror AtG changes. This item is very good in Vanilla because it can trigger off of low proc coefficient passive item effects and proc chains along with proc spam, but does it still hold up once those are gone? Will need to playtest to find out.*
		
	- Voidsent Flame
		- Removed range scaling.
		- Reduced proc coefficient from 1.0 -> 0
		
		*Changes to this item mirror Will-o'-the-Wisp changes. Range remains at the default 12m as opposed to Wisp's increased 16m radius so that it isn't just a straight upgrade.*
		
	- Polylute
		- Reduced proc coefficient from 0.2 -> 0
		
	- Singularity Band
		- Changed damage from 100% (+100%) -> 150% (+90%)
		- Removed blast falloff (was Linear).
		- Reduced cooldown from 20s -> 15s
		- Reduced proc coefficient from 1.0 -> 0
		
		*Cool effect, but not worth taking over regular bands due to the long cooldown + low damage. Falloff removal should help this item's damage feel more consistent, instead of constantly whiffing for barely any damage. Damage scaling has been changed to match the scaling changes for Elemental Bands.*
		
	- Molten Perforator
		- Fixed fireballs not igniting enemies due to having no proc coefficient.
		
	- Transcendence
		- No longer blocks Bypass Shieldgate damage if you have Glass or are Cursed.
		
		*Since Cursed/Glass players have no defense against these attacks by default, Transcendence should not change that, or else it becomes a must-take for those builds.*
		
	- Gesture of the Drowned
		- Currently experimenting with changes in a standalone mod https://thunderstore.io/package/Moffein/GestureEnigma/
		
- Equipment
	- Ocular HUD
		- Changed how the crit bonus works.
			- Increases crit chance up to 100%.
			- Once crit is maxed, extra crit chance goes towards increasing your crit multiplier.
		
- Enemies
	- Beetle
		- Increased speed from 8.4 -> 10

	- Imp
		- Removed melee slowdown.
		- Tweaked AI so that they prioritize chasing the player instead of attempting to strafe when their melee is on cooldown.
		
		*Imps are supposed to be a mobile melee enemy, but they're terrible at chasing and keeping up with players. Their Vanilla AI makes them attempt to strafe after using their slash attack, letting players simply run away, and their slash attack has a 50% speed slowdown as well, ensuring that they'll never actually manage to hit anything moving.*
		
	- Blind Pest
		- Reduced HP from 80 -> 60
		- Reduced shot damage from 30 -> 12
		
		*This makes their HP the same as Jellyfish instead of Beetles, and shot damage the same as Lemurians.*
		
	- Void Infestor
		- Reduced HP from 45 -> 30
		- No longer possesses allies on the Player team.
		
		*These shouldn't be tankier than Wisps.*
		
- Acrid/Loader/MUL-T
	- Flying Knockdown Force
		- Capped force scaling at 1000kg.
		
		*This means that the heaviest enemy they can knock downwards is a Solus Control Unit. This is mainly to prevent weird interactions with Voidling, which is a fyling enemy.*
			
- Commando
	- Phase Blast
		- Damage increased from 170% -> 200%
		- Proc Coefficient reduced from 0.75 -> 0.5
		
	*Reverting to Vanilla stats since it currently is overshadowed by Phase Round. I believe Phase Round is in a good spot in its current state, so no changes are planned there.*

- Huntress
	- Unnerfed Phase Blink.
	
	*Phase Blink is strong in the context of Huntress's kit, but it's hardly impactful enough on the overall game state to justify nerfing, so it has been reverted to its Vanilla stats.*

- MUL-T
	- Rebar Puncher
		- Damage reduced from 720% -> 660%
		
		*The original idea was that a damage increase would allow it to be used full-time as a primary, but in practice it didn't actually work out that way. Damage has been reduced to be similar to what it was at the start of early access when MUL-T has 12 base damage.*
		
	- Scrap Launcher
		- Reload now scales with attack speed.
		- No longer interacts with cooldown reduction.

- Engi
	- Removed EngiAutoFire config options.
	
	*Debloating the config a bit. The option was disabled by default, and the standalone mod is compatible with RiskyMod.*
	
	- Mobile Turrets now sprint while firing.
	
	*Originally omitted this because I wanted to see if they'd be survivable enough with the defensive item changes from this mod, but it seems that always-sprint is necessary to make them hold up compared to Stationary Turrets.*
	
- Merc
	- Removed Expose changes since they're now Vanilla.
	- 3rd hit of M1 combo no longer scales with attack speed (so that Expose extension tech works even in lategame).
	
	*Inspired by Ya_boi_PHAT's MercenaryTweaks. Expose + Dash extension tech is cool, but it stops working once you get enough attack speed, so this fixes that. Not too concerned about the DPS loss since most of Merc's attack speed scaling comes from Eviscerate. This is a clientside setting.*
	
- Artificer
	- Primary reload now scales with attack speed.
		- 1s per shot.
		- Firing your primary skill resets the reload duration.
		- No longer interacts with cooldown reduction.
	
		*Was originally hesitant to add this because I was worried that it would lead to people simply machinegunning her primary, but after playing around with it for a bit, it seems fine. Bandit is in the same spot where he technically can machinegun his primary with enough attack speed, but no one really does it in practice.*
		
	- Fire Bolt
		- Damage increased from 220% -> 300%
		
		*This puts the total damage around the same as pre-ignite changes, with higher proccing damage. Also hitting a projectile attack with a considerable reload time should be worth as much as hitting a hitscan rifle shot (Bandit's Blast) at the bare minimum.*
		
	- Lightning Bolt
		- Damage increased from 220% -> 300%
	- Removed M2 input changes since M2 Requires Re-press is now Vanilla.
	- Removed Flamethrower changes since they're now Vanilla.
	- Removed Solid Ice Wall
	
		*Solid Ice Wall ended up being a hindrance, blocking your own shots from hitting while being hard to actually use as cover. More changes are planned for a later update.*
	
	- Nanobomb
		- Removed gravity.
	
- REX
	- Utilities
		- Maximum push force falloff reduced from -80% -> -50%
	- DIRECTIVE: Harvest
		- Fixed fruit drop chance being lower than intended. (Chance increased from 10% -> 15%)
		- Fruit healing increased from 20% HP -> 25% HP
		- Fruit pickup range increased from +30% -> +60%
		
- Bandit
	- Backstab
		- Crit chance is now converted to bonus crit damage (base minicrit multiplier is 1.5x).
		
	*I like the idea of crits being based on doing certain actions, rather than simply stacking glasses until they become an always-on thing. Additionally, the old minicrit code was a buggy mess. Not sure if Minicrit damage needs to be bumped up or if it's fine as-is.*
		
- Railgunner
	- Removed self-force from the Smartgun while grounded.
	- Removed self-force from the Railgun while grounded and standing still.
	- Alt Special can now execute bosses (tied to Freeze changes in Tweaks).
	
	*Trying to get more of a feel for Railgunner before deciding if anything else needs to be done. Her single target damage is really strong, but at the same time she has absolutely no crowd control, and this mod's lack of proc-chaining exacerbates that.*
	
- Void Fiend
	- Corruption
		- No longer reduced by healing.
		- No longer increased by crits.
		- Reduced Corrupt Transformation duration from 1s -> 0.6s
		- Corruption gain rate reduced from 3%/s -> 2%/s
		- Now gains +5% Corruption on kill/assist
		- Corrupted Form duration reduced from 15s -> 12s
		
		*Trying to make Corruption more based on player actions rather than things out of your control (unpredictable healing and reliance on Crits on a character with no built-in crit). Numbers may need tweaking.*
	
	- Corrupted Suppress
		- Now can be used an unlimited amount of times.
		
		*This can be spammed even when you're at 1HP, but staying at that HP range is a risky move so I think it's fine.*